Loading...
Searching...
No Matches
osmium::area::Assembler Class Reference

`#include <assembler.hpp>`

Inheritance diagram for osmium::area::Assembler:
[legend]
Collaboration diagram for osmium::area::Assembler:
[legend]

## Public Member Functions

| Assembler (const config_type &config)
bool | operator() (const osmium::Way &way, osmium::memory::Buffer &out_buffer)
bool | operator() (const osmium::Relation &relation, const std::vector< const osmium::Way * > &members, osmium::memory::Buffer &out_buffer)

## Private Member Functions

bool | create_area (osmium::memory::Buffer &out_buffer, const osmium::Way &way)
bool | create_area (osmium::memory::Buffer &out_buffer, const osmium::Relation &relation, const std::vector< const osmium::Way * > &members)

## Detailed Description

Assembles area objects from closed ways or multipolygon relations and their members.

## Constructor & Destructor Documentation

## Assembler()

osmium::area::Assembler::Assembler | ( | const config_type & | config | ) |

inline explicit

## Member Function Documentation

## create_area() [1/2]

bool osmium::area::Assembler::create_area | ( | osmium::memory::Buffer & | out_buffer,
|  | const osmium::Relation & | relation,
|  | const std::vector< const osmium::Way * > & | members
| ) |  |

inline private

## create_area() [2/2]

bool osmium::area::Assembler::create_area | ( | osmium::memory::Buffer & | out_buffer,
|  | const osmium::Way & | way
| ) |  |

inline private

## operator()() [1/2]

bool osmium::area::Assembler::operator() | ( | const osmium::Relation & | relation,
|  | const std::vector< const osmium::Way * > & | members,
|  | osmium::memory::Buffer & | out_buffer
| ) |  |

inline

Assemble an area from the given relation and its members. The resulting area is put into the out_buffer.

Returns
  false if there was some kind of error building the area(s), true otherwise.

## operator()() [2/2]

bool osmium::area::Assembler::operator() | ( | const osmium::Way & | way,
|  | osmium::memory::Buffer & | out_buffer
| ) |  |

inline

Assemble an area from the given way. The resulting area is put into the out_buffer.

Returns
  false if there was some kind of error building the area, true otherwise.

The documentation for this class was generated from the following file:

- include/osmium/area/assembler.hpp